picard.vcf.processor

## Class VariantIteratorProducer

- java.lang.Object
- - picard.vcf.processor.VariantIteratorProducer

-     public abstract class VariantIteratorProducer
      extends Object

  A mechanism for iterating over `CloseableIterator` of `VariantContext`s in in some fashion, given VCF files and optionally an interval list. The produced iterators may perform on-the-fly filtering of the produced `VariantContext`s.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariantIteratorProducer()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VariantIteratorProducer` | `byHundredMegabaseChunks(List<File> vcfs)` Produces a chunking with segments of size 100 megabases (or less if a contig boundary is reached).
    `static VariantIteratorProducer` | `byHundredMegabaseChunksWithOnTheFlyFilteringByInterval(List<File> vcfs, htsjdk.samtools.util.IntervalList intervalList)` Produces a chunking with segments of size 100 megabases (or less if a contig boundary is reached), that also performs on-the-fly filtering of `VariantContext`
    `abstract void` | `close()` Closes any latent file handles that may have been opened by calls to `iterators()`.
    `abstract Iterable<htsjdk.samtools.util.CloseableIterator<htsjdk.variant.variantcontext.VariantContext>>` | `iterators()` Renders the embodied regions of the VCF files in the form of `CloseableIterator`s over `VariantContext`s.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariantIteratorProducer

          public VariantIteratorProducer()

  - ### Method Detail

    - #### iterators

          public abstract Iterable<htsjdk.samtools.util.CloseableIterator<htsjdk.variant.variantcontext.VariantContext>> iterators()

      Renders the embodied regions of the VCF files in the form of `CloseableIterator`s over `VariantContext`s. The iterator may perform on-the-fly filtering of these elements.

    - #### close

          public abstract void close()

      Closes any latent file handles that may have been opened by calls to `iterators()`.

    - #### byHundredMegabaseChunksWithOnTheFlyFilteringByInterval

          public static VariantIteratorProducer byHundredMegabaseChunksWithOnTheFlyFilteringByInterval(List<File> vcfs,
                                                                                                       htsjdk.samtools.util.IntervalList intervalList)

      Produces a chunking with segments of size 100 megabases (or less if a contig boundary is reached), that also performs on-the-fly filtering of `VariantContext`

    - #### byHundredMegabaseChunks

          public static VariantIteratorProducer byHundredMegabaseChunks(List<File> vcfs)

      Produces a chunking with segments of size 100 megabases (or less if a contig boundary is reached).